// Allumer une led RGB avec un potentiomètre.
// Chaque couleur correspond à une plage des valeurs du potentiomètre.

//Déclare les pins
int rouge = 11;
int vert = 10;
int bleu = 9;
int potar = A0;

//Déclare les variables
int potarValeur;

void setup() {
//Déclare l'état des pins
pinMode(rouge, OUTPUT);
pinMode(vert, OUTPUT);
pinMode(bleu, OUTPUT);
pinMode(potar, INPUT);
//Déclare le mode de comunication
Serial.begin(9600);
}

void loop() {
//Lit la valeur analogue du capteur
potarValeur = analogRead(potar);

//Affiche la valeur dans le serial moniteur
Serial.print("potarValeur =");
Serial.println(potarValeur);

//Si la valeur de mon potentiomètre est comprise entre 0 et 340, j'allume la led rouge
if (potarValeur >= 0 && potarValeur <= 340) {
digitalWrite(rouge,HIGH);
digitalWrite(vert,LOW);
digitalWrite(bleu,LOW);
}

//Si la valeur de mon potentiomètre est comprise entre 341 et 680, j'allume la led vert
if (potarValeur >= 341 && potarValeur <= 680) {
digitalWrite(rouge,LOW);
digitalWrite(vert,HIGH);
digitalWrite(bleu,LOW);
}

//Si la valeur de mon potentiomètre est supérieure à 681, j'allume la led bleu
if (potarValeur >= 681) {
digitalWrite(rouge,LOW);
digitalWrite(vert,LOW);
digitalWrite(bleu,HIGH);
}

//temps de respiration du code
delay(10);
}
